package com.winhc.task.bean;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * company
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CancellationAnnouncementOut {

    @ExcelProperty("企业名称")
    private String company_name;
    @ExcelProperty("企业ID")
    private String company_id;
    @ExcelProperty("公告状态")
    private String status;
    @ExcelProperty("统一信用代码/注册号")
    private String credit_no;
    @ExcelProperty("清算组备案信息-登记机关")
    private String belong_org;
    @ExcelProperty("清算组备案信息-清算组备案日期")
    private String audit_start_date;
    @ExcelProperty("清算组备案信息-清算组成立日期")
    private String creditor_start_date;
    @ExcelProperty("清算组备案信息-注销原因")
    private String logout_reason;
    @ExcelProperty("清算组备案信息-清算组办公地址")
    private String creditor_address;
    @ExcelProperty("清算组备案信息-清算组联系电话")
    private String audit_phone;
    @ExcelProperty("清算组备案信息-清算组负责人")
    private String creditor_person;
    @ExcelProperty("清算组备案信息-清算组成员")
    private String audit_employees;
    @ExcelProperty("债权人公告信息-统一信用代码/注册号")
    private String zq_credit_no;
    @ExcelProperty("债权人公告信息-登记机关")
    private String zq_belong_org;
    @ExcelProperty("债权人公告信息-公告期")
    private String announcement_period;
    @ExcelProperty("债权人公告信息-公告内容")
    private String content;
    @ExcelProperty("债权人公告信息-债权申报联系人")
    private String zq_person;
    @ExcelProperty("债权人公告信息-债权申报联系电话")
    private String zq_audit_phone;
    @ExcelProperty("债权人公告信息-债权申报地址")
    private String aq_address;
    @ExcelProperty("爬取时间")
    private String create_time;
    @ExcelProperty("数据更新时间")
    private String update_time;
    @ExcelProperty("是否删除")
    private String deleted;

}