package com.winhc.task.bean;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * company
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CompanyCheckInfoOut {

    @ExcelProperty("公司标识id")
    private String company_id;
    @ExcelProperty("检查对象")
    private String company_name;
    @ExcelProperty("检查实施机关")
    private String check_org;
    @ExcelProperty("类型")
    private String check_type;
    @ExcelProperty("日期")
    private String check_date;
    @ExcelProperty("结果")
    private String check_result;
    @ExcelProperty("备注")
    private String remark;
    @ExcelProperty("创建时间")
    private String create_time;
    @ExcelProperty("更新时间")
    private String update_time;
    @ExcelProperty("是否删除")
    private String deleted;

}