package com.winhc.task.dao;

import org.elasticsearch.index.query.QueryBuilder;
import org.elasticsearch.search.fetch.subphase.FetchSourceContext;
import org.elasticsearch.search.rescore.RescoreBuilder;
import org.elasticsearch.search.sort.SortBuilder;

import java.util.List;

/**
 * @author: XuJiakai
 * 2020/11/20 15:15
 */
public interface SearchDao {

    Object search(String index, String type, QueryBuilder query, SortBuilder sortBuilder, FetchSourceContext fetchSourceContext, int from, int size);

    Object search(String index, String type, QueryBuilder query, int from, int size);

    Object search(String index, String type, QueryBuilder query, RescoreBuilder rescoreBuilder, SortBuilder sortBuilder, FetchSourceContext fetchSourceContext, int from, int size);

    boolean deleteByIds(String index, String type, List<String> ids);

}
