package com.winhc.task;

import java.io.*;

import java.io.RandomAccessFile;

/**
 * @author π
 * @Description:
 * @date 2022/11/4 18:08
 */

public class FileAppend {
    public static void main(String[] args) throws Exception {
        String head = "企业名称,法定代表人,注册资本,成立日期,注吊销日期,登记状态,工商注册号,机构组织代码,统一社会信用代码,纳税人识别号,企业类型,所属行业,营业期限,核准日期,登记机关,省份代码,所属地区,详细地址,注册地址城市,经营范围,电话,更多电话,邮箱\n";
        String path = "D:\\data\\split2";        //要遍历的路径
        File file = new File(path);        //获取其file对象
        File[] fs = file.listFiles();    //遍历path下的文件和目录，放在File数组中
        for (File f : fs) {                    //遍历File[]数组
            if (!f.isDirectory())        //若非目录(即文件)，则打印
                System.out.println(f.getAbsolutePath());
            add(0, head, f.getAbsolutePath());
        }
    }

    private static void add(long skip, String str, String fileName) {
        try {
            RandomAccessFile randomAccessFile = new RandomAccessFile(fileName, "rw");
            if (skip < 0 || skip > randomAccessFile.length()) {
                return;
            }
            byte[] b = str.getBytes();
            randomAccessFile.setLength(randomAccessFile.length() + b.length);
            //把后面的内容往后面挪
            for (long i = randomAccessFile.length() - 1; i > b.length + skip - 1; i--) {
                randomAccessFile.seek(i - b.length);
                byte temp = randomAccessFile.readByte();
                randomAccessFile.seek(i);
                randomAccessFile.writeByte(temp);
            }
            randomAccessFile.seek(skip);
            randomAccessFile.write(b);
            randomAccessFile.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}

