package com.winhc.task;

import com.aliyun.openservices.shade.org.apache.commons.lang3.StringUtils;

import java.io.*;

/**
 * @author π
 * @Description:
 * @date 2022/11/4 10:44
 */
public class FileSplit {
    public static void main(String[] args) {
        try {
            String head = "企业名称,法定代表人,注册资本,成立日期,注吊销日期,登记状态,工商注册号,机构组织代码,统一社会信用代码,纳税人识别号,企业类型,所属行业,营业期限,核准日期,登记机关,省份代码,所属地区,详细地址,注册地址城市,经营范围,电话,更多电话,邮箱\n";
            String path = "D:\\Soft\\odpscmd_public\\bin\\out_export_company_data_shanxi_data_final_1107.csv";
            String prefixPath = "D:\\data\\split3\\";
            File file = new File(path);
            InputStreamReader r = new InputStreamReader(new FileInputStream(file));
            BufferedReader reader = new BufferedReader(r);
            String content;
            StringBuffer sb = new StringBuffer();
            String lastA = "";
            int i = 0;
            do {
                content = reader.readLine();
                if (content == null) {
                    //最后一次输出
                    File outFile = new File(prefixPath + lastA + ".csv");
                    if (!outFile.exists()) {
                        sb.insert(0, head);
                    }
                    OutputStreamWriter writer = new OutputStreamWriter(new FileOutputStream(outFile, true));
                    writer.write(sb.toString());
                    writer.close();
                    System.out.println(i);
                    break;
                }
                //注：你的截取规则
                String[] arr = content.split(",");
                String a = arr[0];
                content = content.substring(content.indexOf(",") + 1);

                if (a.equals(lastA)) {
                    sb.append(content).append("\n");
                } else {
                    if (StringUtils.isEmpty(a) || !a.contains("山西")) {
                        continue;
                    }
                    //标识改变，输出文件
                    if (StringUtils.isNotBlank(lastA)) {
                        File outFile = new File(prefixPath + lastA + ".csv");
                        if (!outFile.exists()) {
                            sb.insert(0, head);
                        }
                        OutputStreamWriter writer = new OutputStreamWriter(new FileOutputStream(outFile, true));
                        writer.write(sb.toString());
                        writer.close();
                    }
                    //清空输出内容
                    sb = new StringBuffer();
                    sb.append(content).append("\n");
                }
                lastA = a;
                i++;
                if (i % 10000 == 0) {
                    System.out.println(i);
                }
            } while (true);
            r.close();
            reader.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
