package com.winhc.task.bean;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * company
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CompanyIllegalInfoOut {

    @ExcelProperty("公司标识")
    private String company_id;
    @ExcelProperty("公司名字")
    private String company_name;
    @ExcelProperty("列入原因")
    private String put_reason;
    @ExcelProperty("列入日期")
    private String put_date;
    @ExcelProperty("决定列入部门")
    private String put_department;
    @ExcelProperty("移除原因")
    private String remove_reason;
    @ExcelProperty("移除日期")
    private String remove_date;
    @ExcelProperty("决定移除部门")
    private String remove_department;
    @ExcelProperty("类别")
    private String type;
    @ExcelProperty("违法事实")
    private String fact;
    @ExcelProperty("创建时间")
    private String create_time;
    @ExcelProperty("更新时间")
    private String update_time;
    @ExcelProperty("是否删除")
    private String deleted;

}