package com.winhc.task.bean;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * company
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CompanyOut {
    @ExcelProperty("自有企业id")
    private String company_id;
    @ExcelProperty("公司名称")
    private String name;
    @ExcelProperty("公司历史名称")
    private String history_names;
    @ExcelProperty("注册号")
    private String reg_number;
    @ExcelProperty("公司类型")
    private String company_org_type;
    @ExcelProperty("注册地址")
    private String reg_location;
    @ExcelProperty("注册时间")
    private String estiblish_time;
    @ExcelProperty("营业时间开始日期")
    private String from_time;
    @ExcelProperty("营业时间结束日期")
    private String to_time;
    @ExcelProperty("经营范围")
    private String business_scope;
    @ExcelProperty("登记机关")
    private String reg_institute;
    @ExcelProperty("核准日期")
    private String approved_time;
    @ExcelProperty("企业状态")
    private String reg_status;
    @ExcelProperty("注册资本")
    private String reg_capital;
    @ExcelProperty("组织机构代码")
    private String org_number;
    @ExcelProperty("组织机构代码批准单位")
    private String org_approved_institute;
    @ExcelProperty("机构类型")
    private String company_type;
    @ExcelProperty("统一信用代码")
    private String credit_code;
    @ExcelProperty("省份code")
    private String province_code;
    @ExcelProperty("市code")
    private String city_code;
    @ExcelProperty("县区code")
    private String county_code;
    @ExcelProperty("注册资本金额")
    private String reg_capital_amount;
    @ExcelProperty("注册资本币种")
    private String reg_capital_currency;
    @ExcelProperty("实收资本金额")
    private String actual_capital_amount;
    @ExcelProperty("实收资本币种")
    private String actual_capital_currency;
    @ExcelProperty("公司注册状态标准化")
    private String reg_status_std;
    @ExcelProperty("职工参保人数")
    private String social_security_staff_num;
    @ExcelProperty("注销时间")
    private String cancel_date;
    @ExcelProperty("注销原因")
    private String cancel_reason;
    @ExcelProperty("吊销时间")
    private String revoke_date;
    @ExcelProperty("吊销原因")
    private String revoke_reason;
    @ExcelProperty("邮箱")
    private String emails;
    @ExcelProperty("电话")
    private String phones;
    @ExcelProperty("创建时间")
    private String create_time;
    @ExcelProperty("是否删除")
    private String deleted;
    @ExcelProperty("更新时间")
    private String update_time;
    @ExcelIgnore
    private String legal_entities;
    @ExcelProperty("法人信息")
    private String legal_entity_name;
}