package com.winhc.task.bean;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * company
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CompanyPunishmentInfoOut {

    @ExcelProperty("公司id")
    private String company_id;
    @ExcelProperty("省份")
    private String base;
    @ExcelProperty("行政处罚决定书文号")
    private String punish_number;
    @ExcelProperty("公司名称")
    private String company_name;
    @ExcelProperty("注册号")
    private String reg_number;
    @ExcelProperty("法定代表人")
    private String person_name;
    @ExcelProperty("法人类型")
    private String legal_name_type;
    @ExcelProperty("违法行为类型")
    private String type;
    @ExcelProperty("行政处罚内容")
    private String content;
    @ExcelProperty("作出行政处罚决定机关名称")
    private String department_name;
    @ExcelProperty("作出行政处罚决定日期")
    private String decision_date;
    @ExcelProperty("公示日期")
    private String publish_date;
    @ExcelProperty("描述")
    private String description;
    @ExcelProperty("行政处罚决定书文件下载路径")
    private String desc_file_path;
    @ExcelProperty("行政处罚决定书oss文件路径")
    private String desc_oss_path;
    @ExcelProperty("详情最后修改时间")
    private String punish_desc_mod_time;
    @ExcelProperty("详情备注信息")
    private String punish_desc_remark;
    @ExcelProperty("原始链接")
    private String source;
    @ExcelProperty("类型")
    private String tag;
    @ExcelProperty("备注信息")
    private String remark;
    @ExcelProperty("处理后的备注信息")
    private String remark_clean;
    @ExcelProperty("创建时间")
    private String create_time;
    @ExcelProperty("更新时间")
    private String update_time;
    @ExcelProperty("是否删除")
    private String deleted;

}