package com.winhc.task.bean;

import lombok.*;
import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: π
 */
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class JobArgs {
    private String project;
    private String flow;
    private String taskName;
    private String nodeId;
    private String holoTable;
    private String targetIndexPrefix;
    private String targetIndexSuffix;
    private List<String> sumType = new ArrayList<>();


}
