package com.winhc.task.bean;

import lombok.*;

import java.io.Serializable;

/**
 * @Author: XuJiakai
 * @Date: 2020/6/1 09:33
 * @Description:
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TestBean implements Serializable {
    private static final long serialVersionUID = 322387370846142790L;

    private String rowkey;
    private String cid;
    private String cname;
    private String ncid;
    private String ncname;
    private String put_reason;
    private String put_date;
    private String put_department;
    private String remove_reason;
    private String remove_date;
    private String remove_department;
    private String create_time;
    private String update_time;
    private String deleted;

    @Override
    public String toString() {
        return "TestBean{" +
                "rowkey='" + rowkey + '\'' +
                ", cid='" + cid + '\'' +
                ", cname='" + cname + '\'' +
                ", ncid='" + ncid + '\'' +
                ", ncname='" + ncname + '\'' +
                ", put_reason='" + put_reason + '\'' +
                ", put_date='" + put_date + '\'' +
                ", put_department='" + put_department + '\'' +
                ", remove_reason='" + remove_reason + '\'' +
                ", remove_date='" + remove_date + '\'' +
                ", remove_department='" + remove_department + '\'' +
                ", create_time='" + create_time + '\'' +
                ", update_time='" + update_time + '\'' +
                ", deleted='" + deleted + '\'' +
                '}';
    }
}
